# connection_base.hxx File Reference

`#include "pqxx/compiler-public.hxx"`
`#include "pqxx/compiler-internal-pre.hxx"`
`#include <map>`
`#include <memory>`
`#include "pqxx/except"`
`#include "pqxx/prepared_statement"`
`#include "pqxx/util"`
`#include "pqxx/compiler-internal-post.hxx"`

Include dependency graph for connection_base.hxx:

Go to the source code of this file.

## Namespaces

namespace | pqxx
namespace | pqxx::internal

## Classes

class | pqxx::internal::reactivation_avoidance_counter
struct | pqxx::noticer
| Base class for user-definable error/warning message processor. More...
struct | pqxx::nonnoticer
| No-op message noticer; produces no output. More...
class | pqxx::connection_base
| connection_base abstract base class; represents a connection to a database. More...
class | pqxx::scoped_noticer
| Temporarily set different noticer for connection, then restore old one. More...
class | pqxx::disable_noticer
| Temporarily disable the notice processor. More...
class | pqxx::internal::reactivation_avoidance_exemption
| Scoped exemption to reactivation avoidance. More...

## Functions

PGSTD::string | pqxx::encrypt_password (const PGSTD::string &user, const PGSTD::string &password)
| Encrypt password for given user. Requires libpq 8.2 or better.
void | pqxx::internal::wait_read (const internal::pq::PGconn *)
void | pqxx::internal::wait_read (const internal::pq::PGconn *, long seconds, long microseconds)
void | pqxx::internal::wait_write (const internal::pq::PGconn *)